## com.fusioncharts.sampledata
Class DOMHelper

    java.lang.Object
      com.fusioncharts.sampledata.DOMHelper

    public class DOMHelper

extends java.lang.Object

Author:
  InfoSoft Global (P) Ltd.

Constructor Summary
`DOMHelper()`

Method Summary
`org.w3c.dom.Element` `addAttributesToElement(org.w3c.dom.Element element, java.util.Map<java.lang.String,java.lang.String> attributes)`
`org.w3c.dom.Document` `getDocument()`
`java.lang.String` `getXMLString(org.w3c.dom.Document document)`
`static void` `main(java.lang.String[] args)`
`void` `outputDocument(org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMHelper

    public DOMHelper()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addAttributesToElement

    public org.w3c.dom.Element addAttributesToElement(org.w3c.dom.Element element,
                                                      java.util.Map<java.lang.String,java.lang.String> attributes)

### getDocument

    public org.w3c.dom.Document getDocument()

### getXMLString

    public java.lang.String getXMLString(org.w3c.dom.Document document)

### outputDocument

    public void outputDocument(org.w3c.dom.Document document)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`